Package ru.bitel.bgbilling.modules.bill.server.bean

# Class AttributeManager

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.AttributeManager

    @Deprecated
    public class AttributeManager
    extends java.lang.Object

Deprecated.
Использовать AttributeDao и/или AttributeTypeDao

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AttributeManager​(java.sql.Connection con, int mid)` | Deprecated.
  `AttributeManager​(java.sql.Connection con, int mid, java.lang.String config)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `clearAttributes()` | Deprecated. Удаление всех реквизитов для всех договоров
  `void` | `clearAttributes​(int cid)` | Deprecated. Удаление всех реквизитов для данного договора
  `boolean` | `deleteAttribute​(int id)` | Deprecated.
  `java.util.List<Attribute>` | `getActiveAttributeList​(int cid)` | Deprecated. Получение всех активных реквизитов на текущий момент
  `Attribute` | `getAttribute​(int cid, int id)` | Deprecated.
  `java.util.List<Attribute>` | `getAttributeList​(int cid)` | Deprecated.
  `java.util.List<AttributeType>` | `getAttributeTypeList()` | Deprecated.
  `java.util.Map<java.lang.String,​AttributeType>` | `getAttributeTypeMap()` | Deprecated.
  `boolean` | `updateAttribute​(int id, int cid, java.lang.String name, java.lang.String value, java.util.Calendar start, java.util.Calendar end)` | Deprecated.
  `boolean` | `updateAttribute​(Attribute attribute)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttributeManager

    public AttributeManager​(java.sql.Connection con, int mid)
    Deprecated.

  - ### AttributeManager

    @Deprecated public AttributeManager​(java.sql.Connection con, int mid, java.lang.String config)
    Deprecated.

- ## Method Details

  - ### getAttributeTypeMap

    public java.util.Map<java.lang.String,​AttributeType> getAttributeTypeMap()
    Deprecated.

  - ### getAttributeTypeList

    public java.util.List<AttributeType> getAttributeTypeList()
    Deprecated.

  - ### clearAttributes

    public void clearAttributes()
    Deprecated.
    Удаление всех реквизитов для всех договоров

  - ### clearAttributes

    public void clearAttributes​(int cid)
    Deprecated.
    Удаление всех реквизитов для данного договора
    Parameters:
      `cid` - - код договора

  - ### getActiveAttributeList

    public java.util.List<Attribute> getActiveAttributeList​(int cid)
    Deprecated.
    Получение всех активных реквизитов на текущий момент

  - ### getAttributeList

    public java.util.List<Attribute> getAttributeList​(int cid)
    Deprecated.

  - ### getAttribute

    public Attribute getAttribute​(int cid, int id)
    Deprecated.

  - ### updateAttribute

    public boolean updateAttribute​(Attribute attribute) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateAttribute

    public boolean updateAttribute​(int id, int cid, java.lang.String name, java.lang.String value, java.util.Calendar start, java.util.Calendar end) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteAttribute

    public boolean deleteAttribute​(int id)
    Deprecated.